
function f=myfun(ftype)

%--------------------------------------------------------------------------
% INPUT.
%--------------------------------------------------------------------------
% ftype: parameter determining the function.
%--------------------------------------------------------------------------
% OUTPUT.
%--------------------------------------------------------------------------
% f: choosen function.
%--------------------------------------------------------------------------

if nargin < 1
    ftype=1;
end

switch ftype
    case 1
        s='(x+y+2).^15';
    case 2
        s='cos(x+y)';
    case 3
        s='cos(5*(x+y))';
    case 4
        s='( (x-0.5).^2 + (y-0.5).^2 ).^(3/2)';
    case 5
        s='( (x-0.5).^2 + (y-0.5).^2 ).^(5/2)';
    otherwise
        s='3*x.^40+0.01*y.^40';
end

f=inline(s,'x','y');
